window.addEventListener('load', () => {

  showValue1();
})

function showValue1() {
  var ciag = new Set();
  var kategorieSet = new Set();
  var kategorieSet1 = new Set();
  var powiekszenieSet = new Set();
  var opisSet = new Set();
  var idsSelected = new Set();
  var filtrowanekat1Set = new Set();
  var powiekszenieSetfiltr = new Set();
  var filios = new Set();
  var fkategorias = '';
  var fkategorias1 = '';
  var fpowiekszenia = '';
  var fopisy = '';
  var filtrkat = '';
  var fpowie = '';
  var fkategoria1 = '';
  var psotx = '';
  var wyniks = '';
  var powiekszenieSetSort = '';
  var ciagznakoww = '';


  document.querySelectorAll('.excel tr:not(:first-child)').forEach(tr => {

    ciag.add('#' + tr.id);

  })


  document.querySelector('.bzas1').addEventListener('click', () => {
    kategorieSet.clear();
    kategorieSet1.clear();
    powiekszenieSet.clear();

    document.querySelector('#selkategoria').innerHTML = '';
    fkategorias = '';
    fkategorias1 = '';
    fpowiekszenia = '';
    fopisy1 = '';




    filtrkat = '';
    filtrowanekat1Set.clear();
    document.querySelector('.wynik1').innerHTML = '';
   // console.log('kliknięcie ');
    var szuk = document.querySelector('.szuk').value;

    var ciagznakow = '';
    var ciagznakoww = '';
    var wynik = '';
    for (var ids of ciag) {

      var fkategoria = document.querySelector(ids + ' .kategoria').innerHTML.replace('---- wybierz ----', '')
      fkategoria1 = document.querySelector(ids + ' .kategoria1').innerHTML.replace('---- wybierz ----', '')
      var fpowiekszenie = document.querySelector(ids + ' .powiekszenie').innerHTML.replace('---- wybierz ----', '')
      var fopis = document.querySelector(ids + ' .opis').innerHTML.replace('---- wybierz ----', '')
      var fzdjecie = document.querySelector(ids + ' td:nth-child(2)').innerHTML;
      var numerwgatunku = document.querySelector(ids + ' td:nth-child(3)').innerHTML;
      var numerwrodzaju = document.querySelector(ids + ' td:nth-child(4)').innerHTML;
      var numerrodzaju = document.querySelector(ids + ' td:nth-child(5)').innerHTML;

      ciagznakow = fkategoria.replaceAll(' ', '') + '' + fkategoria1.replaceAll(' ', '') + '' + fpowiekszenie.replaceAll(' ', '') + '' + fopis.replaceAll(' ', '');








      if (ciagznakow.toLowerCase().includes(szuk.toLowerCase())) {
        idsSelected.add(ids);
        kategorieSet.add('<option>' + fkategoria + '</option>');
        kategorieSet1.add('<option>' + fkategoria1 + '</option>');
        powiekszenieSet.add(fpowiekszenie);
        if (fopis.length > 3) {
          opisSet.add(fopis);
        }



        wynik = wynik + '<div class="under-wynik"><div class="myZdjecie"><img src="/images/dominik/' + fzdjecie + '"></div><div class="gridw"><div class="myCategory">' +
          '<span class="skategoria">Genus / Rodzaj</span>' + fkategoria + '</div><div class="myCategory1"><span class="skategoria1">Species / Gatunek</span>' + fkategoria1 + '</div>' +
          '<div class="myPowiekszenie"><span class="spowiekszenie">Magnification / Powiększenie</span> x' + fpowiekszenie + '</div><div class="myOpis">' +
          '<span>Description / Opis</span>' + fopis + '</div><div class="myNumerwgatunku"><span class="snumerwgatunku">Numer w gatunku</span>' + numerwgatunku + '</div>' +
          '<div class="myNumerwrodzaju"><span class="snumerwrodzaju">Numer w rodzaju</span>' + numerwrodzaju + '</div><div class="myNumerrodzaju"><span class="snrrodzaju">Nnumer rodzaju' +
          '</span>' + numerrodzaju + '</div></div></div>';



      }


    }


    document.querySelector('.wynik').innerHTML = '<div class="grid-wynik">' + wynik + '</div>';

    for (var kats of kategorieSet) {
      fkategorias = fkategorias + kats;
    }

    for (var kats1 of kategorieSet1) {
      fkategorias1 = fkategorias1 + kats1;
    }

    var sortPow = Array.from(powiekszenieSet).sort(function (a, b) {
      return b - a
    });
    var powiekszenieSetSort = new Set(sortPow);

    for (var kats2 of powiekszenieSetSort) {
      fpowiekszenia = fpowiekszenia + '<option>' + kats2 + '</option>';
    }

    var sortPow1 = Array.from(opisSet).sort()
    var opisSet1 = new Set(sortPow1);
    for (var kats3 of opisSet1) {

      fopisy = fopisy + '<option>' + kats3 + '</option>';

    }

    var fopisy1 = fopisy.replace('<option></option>', '');


    document.querySelector('#selkategoria').innerHTML = '<option selected="selected">---- wybierz ----</option>' + fkategorias;
    document.querySelector('#selkategoria1').innerHTML = '<option selected="selected">---- wybierz ----</option>' + fkategorias1;
    document.querySelector('#powiekszenie').innerHTML = '<option selected="selected">---- wybierz ----</option>' + fpowiekszenia;
    document.querySelector('#opis').innerHTML = '<option selected="selected">---- wybierz ----</option>' + fopisy1;






  })


  document.querySelector('#selkategoria').addEventListener('change', () => {
    var inputszuk = document.querySelector('.szuk').value;
    if (inputszuk.length > 0) {
      //  document.querySelector('#selkategoria1').innerHTML = '';
      filtrkat = '';
      filtrowanekat1Set.clear();
      var selvalue = document.querySelector('#selkategoria').value;
    //  console.log(selvalue + 'selvalue');
      for (var idsSelected1 of idsSelected) {
        //   console.log(idsSelected1 +' .kategoria');
        document.querySelectorAll(idsSelected1 + ' .kategoria').forEach(kategoriess => {

          //  console.log('selvalue'+'----'+kategoriess.innerHTML);
          if (selvalue == kategoriess.innerHTML) {
            var kategoriaidwyzej = kategoriess.parentNode.id;
            var filtrowanekat1 = document.querySelector('#' + kategoriaidwyzej + ' .kategoria1').innerHTML;
            filtrowanekat1Set.add(filtrowanekat1);
            // console.log(filtrowanekat1+'wybrane selecty');



          }

        })
      }

      for (var kots of filtrowanekat1Set) {

        filtrkat = filtrkat + '<option>' + kots + '</option>';
      }




      var szuka = document.querySelector('.szuk').value;
   //   console.log('Dlugość value' + szuka.length)
      if (szuka.length > 3) {
        //  console.log(filtrkat+'       filtrkat');
        document.querySelector('#selkategoria1').innerHTML = '<option selected="selected">---- wybierz ----</option>' + filtrkat;
      }





    }

  })


  //------------kategoria1---------------------------//

  document.querySelector('#selkategoria1').addEventListener('change', () => {
    var inputszuk1 = document.querySelector('.szuk').value;
   // console.log(inputszuk1.length + 'długość inputa' + inputszuk1);
    if (inputszuk1.length > 0) {


      document.querySelector('#powiekszenie').innerHTML = '';
      filios.clear();
      psotx = '';

      var szuka = document.querySelector('.szuk').value;

      var wartosckat1 = document.querySelector('#selkategoria1').value;
      //  console.log(wartosckat1+'naciskamy kategoria 1');

      //  fkategoria1=wartosckat1;
    //  console.log(fkategoria1 + 'fkategoria1 tutu');
      if (szuka.length > 1) {

        for (var idoes of idsSelected) {


          var sos = document.querySelector(idoes + ' .kategoria1');
          //     console.log(sos.innerHTML + 'sos równe');
          //   console.log(wartosckat1 + 'sos równe1');
          if (sos.innerHTML == wartosckat1) {


            var wpowi = document.querySelector(idoes + ' .powiekszenie').innerHTML;
            filios.add(wpowi);

            //   console.log(wpowi+'asdfasfasdf')

          }






        }

        for (var ses of filios) {
          psotx = psotx + '<option>' + ses + '</option>';

        }


      }

      console.log(psotx + 'powiekszenie tototo');
      document.querySelector('#powiekszenie').innerHTML = '<option selected="selected">---- wybierz ----</option>' + psotx;
    }
  })

  //-----------Kategoria1--------------//


  document.querySelector('#bzas').addEventListener('click', () => {
    wyniks = '';
    for (var ids of ciag) {

      var fkategoria = document.querySelector(ids + ' .kategoria').innerHTML.replace('---- wybierz ----', '').replaceAll(' ', '');
      var fkategoria1 = document.querySelector(ids + ' .kategoria1').innerHTML.replace('---- wybierz ----', '').replaceAll(' ', '');
      var fkategoria11 = document.querySelector(ids + ' .kategoria1').innerHTML.replace('---- wybierz ----', '').replaceAll(' ', '');
      var fpowiekszenie = document.querySelector(ids + ' .powiekszenie').innerHTML.replace('---- wybierz ----', '').replaceAll(' ', '');
      var fopis = document.querySelector(ids + ' .opis').innerHTML.replace('---- wybierz ----', '').replaceAll(' ', '');
      var fzdjecie = document.querySelector(ids + ' td:nth-child(2)').innerHTML.replaceAll(' ', '');

      ciagznakoww = fkategoria.replaceAll(' ', '') + '' + fkategoria1.replaceAll(' ', '') + '' + fpowiekszenie.replaceAll(' ', '') + '' + fopis.replaceAll(' ', '');


      var cselkaterogia = document.querySelector('#selkategoria').value;
      var cselkaterogia1 = document.querySelector('#selkategoria1').value;
      var cpowiekszenie = document.querySelector('#powiekszenie').value;
      var copis = document.querySelector('#opis').value;

      var ciagznakoww1 = cselkaterogia.replace('---- wybierz ----', '').replaceAll(' ', '') + cselkaterogia1.replace('---- wybierz ----', '').replaceAll(' ', '') + cpowiekszenie.replace('---- wybierz ----', '').replaceAll(' ', '') + copis.replace('---- wybierz ----', '').replaceAll(' ', '');

    //  console.log(ciagznakoww1.toLowerCase() + ' równe ciągi');
   //   console.log(' równe ciągi' + ciagznakoww.toLowerCase());
      if (ciagznakoww.toLowerCase().includes(ciagznakoww1.toLowerCase())) {

 //       console.log(ciagznakoww1 + ' równe ciągi' + ciagznakoww);

        wyniks = wyniks + '<div class="under-wynik"><div class="myZdjecie"><img src="/images/dominik/' + fzdjecie + '"></div><div class="gridw"><div class="myCategory">' +
          '<span class="skategoria">Genus / Rodzaj</span>' + fkategoria + '</div><div class="myCategory1"><span class="skategoria1">Species / Gatunek</span>' + fkategoria11 + '</div>' +
          '<div class="myPowiekszenie"><span class="spowiekszenie">Magnification / Powiększenie</span> x' + fpowiekszenie + '</div><div class="myOpis">' +
          '<span>Description / Opis</span>' + fopis + '</div><div class="myNumerwgatunku"><span class="snumerwgatunku"></span></div>' +
          '<div class="myNumerwrodzaju"><span class="snumerwrodzaju"></span></div><div class="myNumerrodzaju"><span class="snrrodzaju">' +
          '</span></div></div></div>';


    //    console.log(ciagznakoww1 + 'ciagznakow1');
      }


    }





    //console.log(wyniks + "tu he wyniks sssssssssssssssss");
    document.querySelector('.wynik').innerHTML = wyniks;


  })


}